<?php 
class Sys_config_mod  extends HC_Controller
{
	public function __construct()
	{
		parent::__construct();
		if(empty($this -> db)){
			$this -> load_db();
		}
	}
	
	function get_sys_config( $sys_type = 'web' )
	{
		$sql_query 	= " SELECT sys_code,sys_value FROM  ".$this -> db -> prefix."sys_config  WHERE sys_type = '".$sys_type."' ORDER BY `sys_id` ";
		return $this -> db -> select_info( $sql_query );
	}


	function get_sys_mail()
	{
		return $this -> get_sys_config('mail');
	}
	
} 